VELARISAPI Docs
Api referenceWebhooks

HubSpot deal-closed webhook

POST
/api/webhook/hubspot/deal-closed

Receives a HubSpot deal-closed webhook payload and creates a new Contract and OrganizationPolicy. This is the primary handoff point from HubSpot (pre-contract sales pipeline) to the Velaris policy system (post-contract management).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/webhook/hubspot/deal-closed" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "organizationId": "string",
  "hubspotDealId": "string",
  "contractReference": "string",
  "signatoryName": "string",
  "signatoryEmail": "string",
  "effectiveDate": "2019-08-24",
  "expirationDate": "2019-08-24",
  "termMonths": 0,
  "autoRenew": true,
  "pricingTier": "string",
  "baseRatePerNight": 0,
  "currency": "string",
  "status": "DRAFT",
  "createdDate": "2019-08-24T14:15:22Z"
}